/*
AntMap: Software for constructing genetic linkage maps using an Ant Colony Optimization (ACO) algorithm
Copyright (C) 2004 National Agricultural and Bio-oriented Research Organization (NARO)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

Hiroyoshi IWATA
Department of Information Science and Technology
National Agricultural Research Center
3-1-1 Kannondai
Tsukuba
Ibaraki 305-8666
JAPAN

ph        +81-298-38-7025
fax       +81-298-38-8551
e-mail    iwatah@affrc.go.jp
*/

package org.agmodel.bioinfo.antmap;

/**
 * @author iwata
 *
 */
public class PartialExtractor {
	public int [] extractParitalArray(int [] ia, int [] index) {
		int size = index.length;
		int [] ia_ex = new int [size];
		for(int i = 0; i < size; i++ )
			ia_ex[i] = ia[index[i]];
		return ia_ex;
	}

	public String [] extractParitalArray(String [] sa, int [] index) {
		int size = index.length;
		String [] sa_ex = new String [size];
		for(int i = 0; i < size; i++ )
			sa_ex[i] = sa[index[i]];
		return sa_ex;
	}

	public double [][] extractPartialMatrix(double [][] dm, int [] index) {
		int size = index.length;
		double [][] dm_ex = new double [size][size];
		for(int i = 0; i < size; i++ )
			for(int j = 0; j < size; j++ )
				dm_ex[i][j] = dm[index[i]][index[j]];
		return dm_ex;
	}

	public char [][] extractPartialGenotypeData(char [][] genotypeData, int [] index) {
		int size = index.length;
		char [][] genotypeData_ex = new char [size][genotypeData[0].length];
		for(int i = 0; i < size; i++ )
			for(int j = 0; j < genotypeData[0].length; j++ )
				genotypeData_ex[i][j] = genotypeData[index[i]][j];
		return genotypeData_ex;
	}
}
