/*
AntMap: Software for constructing genetic linkage maps using an Ant Colony Optimization (ACO) algorithm
Copyright (C) 2004 National Agricultural and Bio-oriented Research Organization (NARO)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

Hiroyoshi IWATA
Department of Information Science and Technology
National Agricultural Research Center
3-1-1 Kannondai
Tsukuba
Ibaraki 305-8666
JAPAN

ph        +81-298-38-7025
fax       +81-298-38-8551
e-mail    iwatah@affrc.go.jp
*/

package org.agmodel.bioinfo.antmap;

import java.io.PrintStream;
import java.io.Serializable;

/**
 * @author iwata
 *
 * ̐ꂽRg̑}ev[gύX邽
 * EBhE > ݒ > Java > R[h > R[hƃRg
 */
public class TourBean implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -1162032944949595017L;
	private double tourLength;
	private int [] tourOrder;

	/**
	 * Ȃ̃RXgN^
	 * tourOrdeŕAint[1]new
	 */
	public TourBean() {
		tourLength = Double.MAX_VALUE;
		tourOrder = new int[1];
	}

	/**
	 * ̃RXgN^
	 * @param tourLength cA[
	 * @param tourOrder cA[
	 */
	public TourBean(double d, int [] is) {
		setTourLength(d);
		setTourOrder(is);
	}


	/**
	 * @return cA[
	 */
	public double getTourLength() {
		return tourLength;
	}

	/**
	 * @return cA[
	 */
	public int[] getTourOrder() {
		return tourOrder;
	}

	/**
	 * @param d cA[
	 */
	public void setTourLength(double d) {
		tourLength = d;
	}

	/**
	 * @param is cA[
	 */
	public void setTourOrder(int[] is) {
		tourOrder = is;
	}

	/*
	public void alignOrder() {
		new OrderAligner().align(tourOrder);
	}
	*/

	/**
	 * Wo͂ւ̓e̕\
	 */
	public void show() {
		show(System.out);
	}
	
	public void show(PrintStream ps) {
		ps.println("Tour Length: " + tourLength);
		ps.print("Tour Order:");
		showOrder(ps);
	}

	public void showOrder() {
		showOrder(System.out);
	}
	
	public void showOrder(PrintStream ps) {
		for(int i = 0; i < tourOrder.length; i++ ) {
			ps.print(" "+tourOrder[i]);
		}
		ps.println();		
	}
}

