/*
AntMap: Software for constructing genetic linkage maps using an Ant Colony Optimization (ACO) algorithm
Copyright (C) 2004 National Agricultural and Bio-oriented Research Organization (NARO)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

Hiroyoshi IWATA
Department of Information Science and Technology
National Agricultural Research Center
3-1-1 Kannondai
Tsukuba
Ibaraki 305-8666
JAPAN

ph        +81-298-38-7025
fax       +81-298-38-8551
e-mail    iwatah@affrc.go.jp
*/

package org.agmodel.bioinfo.antmapgui;

/**
 * Information of AntMap software
 * <p>Title: AntMap</p>
 * <p>Explanation: Linkage mapping software based on ACO algorithm</p>
 * <p>Copyright: Copyright (c) 2004 NARO</p>
 * <p>Company name: NARO</p>
 * @author Hiroyoshi IWATA
 * @version 1.1
 */
public class AntMapInfo {
  private String name = "AntMap";
  private String version = "1.1";
  private String copyright = "(c) 2004 National Agricultural and Bio-oriented Organization (NARO)";
  private String webAddress = "http://cse.naro.affrc.go.jp/iwatah/antmap";
  private String contactAddress = "iwatah@affrc.go.jp";
  private String gplNotice = "\nAntMap comes with ABSOLUTELY NO WARRANTY; for details select \"About GPL\"\nfrom the Help menu. This is free software, and you are welcome to redistribute it\nunder certain conditions; select \"About GPL\" for details.";

  /**
   * Get name
   * @return name
   */
  public String getName() {
    return name;
  }

  /**
   * Get version
   * @return version
   */
  public String getVersion() {
    return version;
  }

  /**
   * Get copyright
   * @return copyright
   */
  public String getCopyright() {
    return copyright;
  }

  /**
   * Get web address
   * @return web address
   */
  public String getWebAddress() {
    return webAddress;
  }

  /**
   * Get contact address
   * @return contact address
   */
  public String getContactAddress() {
    return contactAddress;
  }

  /**
   * Get GPL notice
   * @return String GPL notice
   */
  public String getGplNotice() {
    return gplNotice;
  }
  }
