/*
AntMap: Software for constructing genetic linkage maps using an Ant Colony Optimization (ACO) algorithm
Copyright (C) 2004 National Agricultural and Bio-oriented Research Organization (NARO)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

Hiroyoshi IWATA
Department of Information Science and Technology
National Agricultural Research Center
3-1-1 Kannondai
Tsukuba
Ibaraki 305-8666
JAPAN

ph        +81-298-38-7025
fax       +81-298-38-8551
e-mail    iwatah@affrc.go.jp
*/

package org.agmodel.bioinfo.antmapgui;

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

/**
 * <p>^Cg: </p>
 * <p>: </p>
 * <p>쌠: Copyright (c) 2004</p>
 * <p>Ж: </p>
 * @author 
 * @version 1.0
 */

public class FontChooserPanel extends JPanel {
  private Font font = new Font("Default", Font.PLAIN, 12);
  private String text = "NA";

  FlowLayout flowLayout1 = new FlowLayout();
  JLabel jLabel_Text = new JLabel();
  JLabel jLabel_FontInfo = new JLabel();
  JButton jButton_Setting = new JButton();

  public FontChooserPanel() {
    try {
      jbInit();
    }
    catch(Exception ex) {
      ex.printStackTrace();
    }
  }

  void jbInit() throws Exception {
    jLabel_Text.setText(text);
    this.setLayout(flowLayout1);
    jLabel_FontInfo.setText(getFontInfo(font));
    jButton_Setting.setText("Setting");
    jButton_Setting.addActionListener(new FontChooserPanel_jButton_Setting_actionAdapter(this));
    this.add(jLabel_Text, null);
    this.add(jLabel_FontInfo, null);
    this.add(jButton_Setting, null);
  }

  public void setText(String text) {
    this.text = text;
    jLabel_Text.setText(text);
  }

  public String getText() {
    return text;
  }

  public void setSelectedFont(Font font) {
    this.font = font;
    jLabel_FontInfo.setText(getFontInfo(font));
  }

  public Font getSelectedFont() {
    return font;
  }

  private String getFontInfo(Font f) {
    String temp = f.getName() + ", ";
    if(f.getStyle() == Font.PLAIN) {
      temp += "Plain, ";
    } else if(font.getStyle() == Font.BOLD) {
      temp += "Bold, ";
    } else if(font.getStyle() == Font.ITALIC) {
      temp += "Italic, ";
    } else {
      temp += "Bold Italic, ";
    }
    temp += f.getSize();
    return temp;
  }

  void jButton_Setting_actionPerformed(ActionEvent e) {
    FontChooser fontChooser = new FontChooser();
    fontChooser.setDefaultFont(font);
    fontChooser.showDialog(this);
    if(fontChooser.isApplied()) {
      font = fontChooser.getSelectedFont();
      jLabel_FontInfo.setText(getFontInfo(font));
    }
  }
}

class FontChooserPanel_jButton_Setting_actionAdapter implements java.awt.event.ActionListener {
  FontChooserPanel adaptee;

  FontChooserPanel_jButton_Setting_actionAdapter(FontChooserPanel adaptee) {
    this.adaptee = adaptee;
  }
  public void actionPerformed(ActionEvent e) {
    adaptee.jButton_Setting_actionPerformed(e);
  }
}
