/*
AntMap: Software for constructing genetic linkage maps using an Ant Colony Optimization (ACO) algorithm
Copyright (C) 2004 National Agricultural and Bio-oriented Research Organization (NARO)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

Hiroyoshi IWATA
Department of Information Science and Technology
National Agricultural Research Center
3-1-1 Kannondai
Tsukuba
Ibaraki 305-8666
JAPAN

ph        +81-298-38-7025
fax       +81-298-38-8551
e-mail    iwatah@affrc.go.jp
*/

package org.agmodel.bioinfo.antmapgui;

import javax.swing.*;

import java.util.ArrayList;

/**
 * <p>^Cg: </p>
 * <p>: </p>
 * <p>쌠: Copyright (c) 2004</p>
 * <p>Ж: </p>
 * @author 
 * @version 1.0
 */

public class RadioButtonPanel extends JPanel {
  String text = "NA";
  JLabel jLabel1 = new JLabel();
  ButtonGroup buttonGroup = new ButtonGroup();
  ArrayList buttonList = new ArrayList();

  public RadioButtonPanel() {
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  public RadioButtonPanel(String text) {
    this.text = text;
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  public RadioButtonPanel(String text, String [] itemNames) {
    this.text = text;
    for(int i = 0; i < itemNames.length; i++ )
      addItem(itemNames[i]);
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    jLabel1.setText(text);
    this.add(jLabel1, null);
  }

  public void setText(String text) {
    this.text = text;
    jLabel1.setText(text);
  }

  public String getText() {
    return text;
  }

  public void addItem(String itemName) {
    JRadioButton jRadioButton = new JRadioButton();
    jRadioButton.setText(itemName);
    this.add(jRadioButton, null);
    buttonGroup.add(jRadioButton);
    buttonList.add(jRadioButton);
    if(buttonList.size() == 1)
      jRadioButton.setSelected(true);
  }

  public int getSelectedIndex() {
    int selectedIndex = -1;
    JRadioButton jRadioButton;
    for(int i = 0; i < buttonList.size(); i++ ) {
      jRadioButton = (JRadioButton)buttonList.get(i);
      if(jRadioButton.isSelected()) {
        selectedIndex = i;
        break;
      }
    }
    return selectedIndex;
  }

  public void setSelectedIndex(int selectedIndex) {
    if(selectedIndex < buttonList.size()) {
      JRadioButton jRadioButton = (JRadioButton) buttonList.get(selectedIndex);
      jRadioButton.setSelected(true);
    }
    /*
    for(int i = 0; i < buttonList.size(); i++ ) {
      jRadioButton = (JRadioButton)buttonList.get(i);
      if(jRadioButton.isSelected()) {
        selectedIndex = i;
        break;
      }
    }
    */
  }

  public void setEnabled(boolean b) {
    JRadioButton jRadioButton;
    for(int i = 0; i < buttonList.size(); i++ ) {
      jRadioButton = (JRadioButton)buttonList.get(i);
      jRadioButton.setEnabled(b);
    }
  }
}
